jif.ast

## Class JifCatch_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - polyglot.ast.Term_c
    - - polyglot.ast.Stmt_c
      - - polyglot.ast.Catch_c
        - - jif.ast.JifCatch_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, polyglot.ast.Catch, polyglot.ast.CompoundStmt, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Stmt, polyglot.ast.Term, polyglot.ast.TermOps, polyglot.util.Copy<polyglot.ast.Node>

  Deprecated.

      @Deprecated
      public class JifCatch_c
      extends polyglot.ast.Catch_c

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.ast.Term

      `polyglot.ast.Term.Instance`

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class polyglot.ast.Catch_c

      `body, formal`

    - ### Fields inherited from class polyglot.ast.Term_c

      `exceptions, reachable`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

    - ### Fields inherited from interface polyglot.ast.Term

      `ENTRY, EXIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifCatch_c(polyglot.util.Position pos, polyglot.ast.Formal formal, polyglot.ast.Block body)` Deprecated.
    `JifCatch_c(polyglot.util.Position pos, polyglot.ast.Formal formal, polyglot.ast.Block body, polyglot.ast.Ext ext)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.Catch` | `formal(polyglot.ast.Formal formal)` Deprecated.
    `protected <N extends polyglot.ast.Catch_c> N` | `reconstruct(N n, polyglot.ast.Formal formal, polyglot.ast.Block body)` Deprecated.
    `protected static void` | `setIsCatchFormal(polyglot.ast.Formal formal)` Deprecated. Sets the delegate to know that it is in a catch clause.

    - ### Methods inherited from class polyglot.ast.Catch_c

      `acceptCFG, body, body, body, catchType, copy, enterScope, firstChild, formal, formal, prettyPrint, toString, typeCheck, visitChildren`

    - ### Methods inherited from class polyglot.ast.Term_c

      `exceptionCheck, exceptions, exceptions, exceptions, extRewrite, listChild, reachable, reachable, reachable`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copyIfNeeded, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, dump, enterChildScope, error, error, error, exceptionCheckEnter, ext, ext, ext, ext, extRewriteEnter, extRewriteOverride, isDisambiguated, isTypeChecked, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, translate, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.Term

      `exceptions, exceptions, reachable, reachable`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheckEnter, typeCheckOverride, visitChild, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Constructor Detail

    - #### JifCatch_c

          public JifCatch_c(polyglot.util.Position pos,
                            polyglot.ast.Formal formal,
                            polyglot.ast.Block body)

      Deprecated.

    - #### JifCatch_c

          public JifCatch_c(polyglot.util.Position pos,
                            polyglot.ast.Formal formal,
                            polyglot.ast.Block body,
                            polyglot.ast.Ext ext)

      Deprecated.

  - ### Method Detail

    - #### formal

          public polyglot.ast.Catch formal(polyglot.ast.Formal formal)

      Deprecated.
      Specified by:
        `formal` in interface `polyglot.ast.Catch`
      Overrides:
        `formal` in class `polyglot.ast.Catch_c`

    - #### reconstruct

          protected <N extends polyglot.ast.Catch_c> N reconstruct(N n,
                                                                   polyglot.ast.Formal formal,
                                                                   polyglot.ast.Block body)

      Deprecated.
      Overrides:
        `reconstruct` in class `polyglot.ast.Catch_c`

    - #### setIsCatchFormal

          protected static void setIsCatchFormal(polyglot.ast.Formal formal)

      Deprecated.
      Sets the delegate to know that it is in a catch clause.